<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
require_once"../template/isset.php";


$id=(int)$_GET['id'];

echo'<img src="../images/img/partners.gif" alt=""> <b>Добавление объявления</b><br><br>';  

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

//------------------------ Форма добавления объявления -------------------------------//
if(!isset($action)) {	

$file = file("../local/databoard/$id.dat");
if ($id!=""){	

if($config_themes!="wml"){
echo '<form action="add.php?action=add&amp;id='.$id.'&amp;'.SID.'" method="post">';
echo '<b>Заголовок:</b><br><input type="text" name="zag" maxlength="50" /><br>';
echo '<b>Объявление:</b><br><textarea cols="25" rows="3" name="msg"></textarea><br>';	
echo '<b>Срок показа:</b><br><select name="days">';

for($i=5; $i<=$config_boarddays; $i=$i+5){
echo '<option  value="'.$i.'">'.$i.' дней</option>';	
}



echo '</select><br> (Максимальный срок показа -  <b>'.(int)$config_boarddays.'</b> дней.)<br><br>';
echo '<input type="submit" value="Добавить" /></form><hr>';

}else{

echo'<br>Заголовок:<br><input name="zag"/><br>';
echo'Объявление:<br><input name="msg"/><br>';


echo'Срок показа:<br><select name="days">';
for($i=5; $i<=$config_boarddays; $i=$i+5){
echo '<option  value="'.$i.'">'.$i.' дней</option>';	
}

echo '</select><br> (Максимальный срок показа -  <b>'.(int)$config_boarddays.'</b> дней.)';

echo'<br><anchor>Добавить';
echo'<go href="add.php?action=add&amp;id='.$id.'&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="zag" value="$(zag)"/>';
echo'<postfield name="days" value="$(days)"/>';
echo'</go></anchor><br>--------------------<br>';
}


}else{echo '<b>Ошибка, не выбрана рубрика для размещения объявления!</b><br>';}	
}
	
	
//------------------------ Добавление объявления ---------------------------//
if($action=="add"){	
	
$li=file("../local/databoard/database.dat");
foreach($li as $k){
$dtu=explode("|",$k);
if($id==$dtu[2]){
$themes='ok';
}}	
	
if ($themes=="ok"){	
if (strlen(utf_to_win($zag))<50 && strlen(utf_to_win(trim($zag))) > 4) {
if (strlen(utf_to_win($msg))<1000 && strlen(utf_to_win(trim($msg))) > 10) {
if ($days>0 && $days<=$config_boarddays){	
	
//--------------------- Новый антифлуд -----------------------------//
if($config_floodstime > 0){
if(flooder($ip, $php_self) == TRUE ){header ("Location: add.php?id=$id&isset=antiflood&".SID); exit;}
$flood_file = fopen(BASEDIR."local/flood.dat", "a+");
flock ($flood_file,LOCK_EX);
fputs ($flood_file,"$sitetime|$ip|$php_self|\r\n");
fflush($flood_file);
flock ($flood_file,LOCK_UN);
fclose($flood_file);   
}

//--------------------- Карантин -----------------------------//

if($config_karantin > 0){
if($udata[6]+$config_karantin>$sitetime){header ("Location: add.php?id=$id&isset=karantin&".SID); exit;}
}	
	
$deltime=$sitetime+($days*86400);	

$zag=check($zag);
$log=check($log);
$msg=check($msg);	

$msg=no_br($msg, '<br>');
$text=$zag.'|'.$log.'|'.$msg.'|'.$sitetime.'|'.$deltime.'|'.$id.'|';
$text=no_br($text);

$fp=fopen("../local/databoard/$id.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);
chmod("../local/databoard/$id.dat", 0777);

header ("Location: index.php?action=board&id=$id&isset=addboard&".SID);	
	
	
}else{echo '<b>Ошибка, не указано число дней показа объявления!</b><br>';}	
}else{echo '<b>Слишком длинное или короткое объявление (Необходимо от 10 до 1000 символов)</b><br>';}	
}else{echo '<b>Слишком длинный или короткий заголовок (Необходимо от 5 до 50 символов)</b><br>';}
}else{echo '<b>Ошибка, данной рубрики не существует!</b><br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="add.php?id='.$id.'&amp;'.SID.'">Вернуться</a>';	
}

}else{
echo '<br>Вы не авторизованы, чтобы добавить объявление, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}


echo'<br><img src="../images/img/reload.gif" alt=""> <a href="index.php?'.SID.'">Объявления</a>';
echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
